import request from '@/utils/request'

// 查询车辆录入列表
export function listVehicle(query) {
  return request({
    url: '/customerBusiness/vehicle/list',
    method: 'get',
    params: query
  })
}

// 查询车辆录入详细
export function getVehicle(id) {
  return request({
    url: '/customerBusiness/vehicle/' + id,
    method: 'get'
  })
}

// 新增车辆录入
export function addVehicle(data) {
  return request({
    url: '/customerBusiness/vehicle',
    method: 'post',
    data: data
  })
}

// 修改车辆录入
export function updateVehicle(data) {
  return request({
    url: '/customerBusiness/vehicle/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除车辆录入
export function delVehicle(id) {
  return request({
    url: '/customerBusiness/vehicle/' + id,
    method: 'delete'
  })
}
